> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/sats-connect/bitcoin-methods/speed-up-a-rune-mint-or-etch-order/runes_rbforder.md).

# runes\_rbfOrder

{% hint style="warning" %}
The `runes_rbfOrder` method currently only supports **Etch** orders. Support for **Mint** orders will be added soon.&#x20;
{% endhint %}

You can use the `runes_rbfOrder` method to speed up a [Rune mint order ](/sats-connect/bitcoin-methods/mint-runes.md)or a [Rune etch order](/sats-connect/bitcoin-methods/etch-runes.md), using the [Replace-by-Fee (RBF)](https://www.xverse.app/blog/replace-by-fee-rbf) mechanism.

You can specify the order you wish to speed up, and the new fee rate to use for the mint/etch transactions, by passing a `RbfOrderParams` object to the method, with the below properties:

<table><thead><tr><th width="283">RbfOrderParams Property</th><th>Description</th></tr></thead><tbody><tr><td><code>orderId</code></td><td>a string representing the id of your mint or etch order. <br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> the <a href="/pages/tdZmMNI0KTrE3nDHHEJr"><code>runes_mint</code></a> &#x26; <a href="/pages/PrqMZrgASi1VQh0xs2jY"><code>runes_etch</code></a> methods will return the order id in their response objects.</td></tr><tr><td><code>network</code> (<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a string representing the Bitcoin network to use for the mint runes transactions: <code>'Mainnet'</code> or <code>'Testnet'</code></td></tr><tr><td><code>newFeeRate</code></td><td><p>a number representing the new increased fee rate to set for the Rune mint transaction(s) or etch transaction, in sats per vbytes</p><p><br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> <code>newFeeRate</code> must be higher than the <code>feeRate</code> used for the initial <a href="/pages/tdZmMNI0KTrE3nDHHEJr">runes_mint</a> or <a href="/pages/2ZAwQJ8pxFHjyGrVkBr8">runes_etch</a> order execution, and the increase must be at least equal to the minimum relay fee (the lowest fee that the network will accept). </p></td></tr></tbody></table>

<pre class="language-typescript"><code class="lang-typescript"><strong>import { request } from "sats-connect";
</strong>
    const response = await request('runes_rbfOrder', { 
      id: "ORDER_ID", 
      network?: "Mainnet",
      newFeeRate: 500 });

    if (response.status === 'success') {
      setFundTxId(response.result.fundRBFTransactionId);
    } else {
      console.error(response.error);
      alert('Error speeding up order. See console for details.');
    };
</code></pre>

The `runes_rbfOrder` method will:

1. Prompt your user to sign a send Bitcoin transaction, to **fund the Runes mint or etch order at the new increased fee rate**. \
   :information\_source: Note that you can use the [`runes_estimateRbfOrder`](/sats-connect/bitcoin-methods/speed-up-a-rune-mint-or-etch-order/runes_estimaterbforder.md) method to estimate the cost of a speeding up a Rune mint or etch order for your user.
2. return a `RBFOrderResponse` object:

<table><thead><tr><th width="296">RunesMintResponse property </th><th>Description</th></tr></thead><tbody><tr><td><code>orderId</code></td><td>a string representing the ID of the Runes mint or etch order which Sats Connect will speed up with RBF</td></tr><tr><td><code>fundRBFTransactionId</code></td><td>a string representing the ID of the funding transaction required from your user for Sats Connect to speed up the order with RBF, i.e. process the Runes mint or etching transactions <strong>at the new increased fee rate</strong></td></tr><tr><td><code>fundingAddress</code></td><td>a string representing the BTC address which will collect the BTC amount required to speed up the order, and sign the replacement mint/etch transactions broadcast at the higher fee rate. </td></tr></tbody></table>

4. Monitor the confirmation of the funding transaction required from your user to the funding address dedicated to processing the order.
5. Replace the stuck mint/etch transactions with new transactions broadcast at a higher fee rate, signing with the funding address.

{% hint style="warning" %}
**Note** that the RBF mechanism can only add inputs to an existing transaction if they are already **confirmed**. Your user's RBF funding transaction **must be confirmed before the new etch/mint transactions can be broadcast**. The new transactions with increased fee rates will always lag the RBF funding transaction by at least 1 block.
{% endhint %}

You can then track the status of a Rune mint or etch order using the [`runes_getOrder`](/sats-connect/bitcoin-methods/runes_getorder.md) method.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/sats-connect/bitcoin-methods/speed-up-a-rune-mint-or-etch-order/runes_rbforder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
